Module org.firebirdsql.jaybird
Package org.firebirdsql.ds

# Class FBXAConnection

java.lang.Object
org.firebirdsql.ds.FBXAConnection

All Implemented Interfaces:
  `PooledConnection`, `XAConnection`

public final class FBXAConnection extends Object implements XAConnection
XAConnection implementation for `FBXADataSource`

Since:
  2.2
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`void`
`addConnectionEventListener(ConnectionEventListener listener)`
`void`
`addStatementEventListener(StatementEventListener listener)`
`void`
`close()`
`Connection`
`getConnection()`
`XAResource`
`getXAResource()`
`void`
`removeConnectionEventListener(ConnectionEventListener listener)`
`void`
`removeStatementEventListener(StatementEventListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.PooledConnection

`addConnectionEventListener, addStatementEventListener, close, getConnection, removeConnectionEventListener, removeStatementEventListener`

## Method Details

### getXAResource

public XAResource getXAResource() throws SQLException

Specified by:
  `getXAResource` in interface `XAConnection`
Throws:
  `SQLException`

### getConnection

public Connection getConnection() throws SQLException

Specified by:
  `getConnection` in interface `PooledConnection`
Throws:
  `SQLException`

### close

public void close() throws SQLException

Specified by:
  `close` in interface `PooledConnection`
Throws:
  `SQLException`

### addConnectionEventListener

public void addConnectionEventListener(ConnectionEventListener listener)

Specified by:
  `addConnectionEventListener` in interface `PooledConnection`

### removeConnectionEventListener

public void removeConnectionEventListener(ConnectionEventListener listener)

Specified by:
  `removeConnectionEventListener` in interface `PooledConnection`

### addStatementEventListener

public void addStatementEventListener(StatementEventListener listener)

The current implementation does nothing.

Specified by:
  `addStatementEventListener` in interface `PooledConnection`

### removeStatementEventListener

public void removeStatementEventListener(StatementEventListener listener)

The current implementation does nothing.

Specified by:
  `removeStatementEventListener` in interface `PooledConnection`